QGIS Application - Bug report #10882

Required option to set the default value(NULL) on date fields in QGIS 2.4

2014-07-11 10:27 PM - Mahendiran Murugadoss

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Edit widget

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19250
Description

In QGIS 2.4 there is no option to set the default values(NULL) on date fields in QGIS 2.4 if we have not updated any value on date fields.
Its automatically taking the current system date. we are expecting to set the default values(NULL) for date fields in properties of layer,
since we have to display the NULL values while capturing the new feature itself. It may be edited if required. Please refer the attached

screen shots.

History

#1 - 2014-07-17 06:00 AM - Giovanni Manghi

- Category changed from Attribute table to Edit widget
- Status changed from Open to Feedback

- Priority changed from High to Normal

Did it worked as expected in previous qgis versions?

#2 - 2014-07-22 07:37 AM - Mahendiran Murugadoss

Yes, it's automatically taking the value as NULL if we haven't updated any values on those date fields

#3 - 2014-07-22 07:38 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2014-08-08 05:37 AM - Vasudevan Periasamy

+1.

Is it possible to provide a patch to this bug? | really need a work around for this. Thanks.

#5 - 2014-08-08 05:55 AM - Paolo Cavallini

Your best option is sponsoring its resolution. Ask if interested.

#6 - 2014-08-11 06:21 AM - Vasudevan Periasamy

What would be the cost (sponsor) for this fix?
#7 - 2014-10-03 03:33 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

in QGIS master there is now an option "allow NULL values".
